/* CH08_AviaCo.SQL                                    	*/
/* Script file for SQL Server DBMS			*/
/* This script file creates the following tables:	*/
/* AIRCRAFT, CHARTER, CREW, CUSTOMER, CUSTOMER_MAINT,   */
/* EARNEDRATING, EMPLOYEE, MODEL, PILOT, RATING         */
/* and loads the default data rows			*/


DROP TABLE CUSTOMER_MAINT;
DROP TABLE CREW;
DROP TABLE CHARTER;
DROP TABLE EARNEDRATING;
DROP TABLE RATING;
DROP TABLE PILOT;
DROP TABLE EMPLOYEE;
DROP TABLE CUSTOMER;
DROP TABLE AIRCRAFT;
DROP TABLE MODEL;


CREATE TABLE MODEL(
MOD_CODE          CHAR(10) PRIMARY KEY, 
MOD_MANUFACTURER  VARCHAR(15), 
MOD_NAME          VARCHAR(20), 
MOD_SEATS         INTEGER, 
MOD_CHG_MILE      NUMERIC(4,2));

INSERT INTO MODEL VALUES('C-90A'    ,'Beechcraft' ,'KingAir'          ,8  ,2.67);
INSERT INTO MODEL VALUES('PA23-250' ,'Piper'      ,'Aztec'            ,6  ,1.93);
INSERT INTO MODEL VALUES('PA31-350' ,'Piper'      ,'Navajo Chieftain' ,10 ,2.35);


CREATE TABLE AIRCRAFT(
AC_NUMBER  CHAR(5) PRIMARY KEY, 
MOD_CODE   CHAR(10), 
AC_TTAF    NUMERIC(5,1), 
AC_TTEL    NUMERIC(5,1), 
AC_TTER    NUMERIC(5,1),
FOREIGN KEY(MOD_CODE) REFERENCES MODEL);

INSERT INTO AIRCRAFT VALUES('1484P' ,'PA23-250' ,1833.1 ,1833.1 ,101.8);
INSERT INTO AIRCRAFT VALUES('2289L' ,'C-90A'    ,4243.8 ,768.9  ,1123.4);
INSERT INTO AIRCRAFT VALUES('2778V' ,'PA31-350' ,7992.9 ,1513.1 ,789.5);
INSERT INTO AIRCRAFT VALUES('4278Y' ,'PA31-350' ,2147.3 ,622.1  ,243.2);


CREATE TABLE CUSTOMER(
CUS_CODE      INTEGER PRIMARY KEY, 
CUS_LNAME     VARCHAR(15), 
CUS_FNAME     VARCHAR(15), 
CUS_INITIAL   CHAR(1), 
CUS_AREACODE  CHAR(3), 
CUS_PHONE     CHAR(8), 
CUS_BALANCE   NUMERIC(7,2));

INSERT INTO CUSTOMER VALUES(10010 ,'Ramas'    ,'Alfred'  ,'A'  ,'615' ,'844-2573' ,0);
INSERT INTO CUSTOMER VALUES(10011 ,'Dunne'    ,'Leona'   ,'K'  ,'713' ,'894-1238' ,0);
INSERT INTO CUSTOMER VALUES(10012 ,'Smith'    ,'Kathy'   ,'W'  ,'615' ,'894-2285' ,896.54);
INSERT INTO CUSTOMER VALUES(10013 ,'Olowski'  ,'Paul'    ,'F'  ,'615' ,'894-2180' ,1285.19);
INSERT INTO CUSTOMER VALUES(10014 ,'Orlando'  ,'Myron'   ,NULL ,'615' ,'222-1672' ,673.21);
INSERT INTO CUSTOMER VALUES(10015 ,'O''Brian' ,'Amy'     ,'B'  ,'713' ,'442-3381' ,1014.56);
INSERT INTO CUSTOMER VALUES(10016 ,'Brown'    ,'James'   ,'G'  ,'615' ,'297-1228' ,0);
INSERT INTO CUSTOMER VALUES(10017 ,'Williams' ,'George'  ,NULL ,'615' ,'290-2556' ,0);
INSERT INTO CUSTOMER VALUES(10018 ,'Farriss'  ,'Anne'    ,'G'  ,'713' ,'382-7185' ,0);
INSERT INTO CUSTOMER VALUES(10019 ,'Smith'    ,'Olette'  ,'K'  ,'615' ,'297-3809' ,453.98);


CREATE TABLE EMPLOYEE(
EMP_NUM INTEGER PRIMARY KEY, 
EMP_TITLE      CHAR(4), 
EMP_LNAME      VARCHAR(15), 
EMP_FNAME      VARCHAR(15), 
EMP_INITIAL    CHAR(1), 
EMP_DOB        DATETIME, 
EMP_HIRE_DATE  DATETIME);

INSERT INTO EMPLOYEE VALUES(100 ,'Mr.'  ,'Kolmycz'    ,'George'     ,'D'  ,'15-JUN-1942'  ,'15-MAR-1988');
INSERT INTO EMPLOYEE VALUES(101 ,'Ms.'  ,'Lewis'      ,'Rhonda'     ,'G'  ,'19-MAR-1965'  ,'25-APR-1986');
INSERT INTO EMPLOYEE VALUES(102 ,'Mr.'  ,'VanDam'     ,'Rhett'      ,NULL ,'14-NOV-1958'  ,'18-MAY-1993');
INSERT INTO EMPLOYEE VALUES(103 ,'Ms.'  ,'Jones'      ,'Anne'       ,'M'  ,'11-MAy-1974'  ,'26-JUL-1999');
INSERT INTO EMPLOYEE VALUES(104 ,'Mr.'  ,'Lange'      ,'John'       ,'P'  ,'12-JUL-1971'  ,'20-AUG-1990');
INSERT INTO EMPLOYEE VALUES(105 ,'Mr.'  ,'Williams'   ,'Robert'     ,'D'  ,'14-MAR-1975'  ,'19-JUN-2003');
INSERT INTO EMPLOYEE VALUES(106 ,'Mrs.' ,'Duzak'      ,'Jeanine'    ,'K'  ,'12-FEB-1968'  ,'13-MAR-1989');
INSERT INTO EMPLOYEE VALUES(107 ,'Mr.'  ,'Diante'     ,'Jorge'      ,'D'  ,'01-MAY-1975'  ,'02-JUL-1997');
INSERT INTO EMPLOYEE VALUES(108 ,'Mr.'  ,'Wiesenbach' ,'Paul'       ,'R'  ,'14-FEB-1966'  ,'03-JUN-1993');
INSERT INTO EMPLOYEE VALUES(109 ,'Ms.'  ,'Travis'     ,'Elizabeth'  ,'K'  ,'18-JUN-1961'  ,'14-FEB-2004');
INSERT INTO EMPLOYEE VALUES(110 ,'Mrs.' ,'Genkazi'    ,'Leighla'    ,'W'  ,'19-MAY-1970'  ,'29-JUN-1990'); 


CREATE TABLE PILOT(
EMP_NUM         INTEGER PRIMARY KEY, 
PIL_LICENSE     VARCHAR(25), 
PIL_RATINGS	VARCHAR(30),
PIL_MED_TYPE    CHAR(1), 
PIL_MED_DATE    DATETIME, 
PIL_PT135_DATE  DATETIME,
FOREIGN KEY (EMP_NUM) REFERENCES EMPLOYEE);

INSERT INTO PILOT VALUES(101 ,'ATP' ,'ATP/SEL/MEL/Instr/CFII'    ,'1' ,'20-JAN-2014' ,'11-JAN-2010');
INSERT INTO PILOT VALUES(104 ,'ATP' ,'ATP/SEL/MEL/Instr'         ,'1' ,'18-DEC-2013' ,'17-JAN-2010');
INSERT INTO PILOT VALUES(105 ,'COM' ,'COMM/SEL/MEL/Instr/CFI'    ,'2' ,'05-JAN-2014' ,'02-JAN-2010');
INSERT INTO PILOT VALUES(106 ,'COM' ,'ATP/SEL/MEL/Instr'         ,'2' ,'10-DEC-2013' ,'02-FEB-2010');
INSERT INTO PILOT VALUES(109 ,'COM' ,'ATP/SEL/MEL/SES/Instr/CFII','1' ,'22-JAN-2014' ,'15-JAN-2010');


CREATE TABLE RATING(
RTG_CODE  CHAR(5) PRIMARY KEY, 
RTG_NAME  VARCHAR(50));

INSERT INTO RATING VALUES('CFI'   ,'Certified Flight Instructor');
INSERT INTO RATING VALUES('CFII'  ,'Certified Flight Instructor, Instrument');
INSERT INTO RATING VALUES('INSTR' ,'Instrument');
INSERT INTO RATING VALUES('MEL'   ,'Multiengine Land');
INSERT INTO RATING VALUES('SEL'   ,'Single Engine, Land');
INSERT INTO RATING VALUES('SES'   ,'Single Engine, Sea');


CREATE TABLE EARNEDRATING(
EMP_NUM       INTEGER, 
RTG_CODE      CHAR(5), 
EARNRTG_DATE  DATETIME,
PRIMARY KEY(EMP_NUM, RTG_CODE),
FOREIGN KEY (EMP_NUM)  REFERENCES EMPLOYEE,
FOREIGN KEY (RTG_CODE) REFERENCES RATING);

INSERT INTO EARNEDRATING VALUES( 101 ,'CFI'   ,'18-FEB-1998');
INSERT INTO EARNEDRATING VALUES( 101 ,'CFII'  ,'15-DEC-2005');
INSERT INTO EARNEDRATING VALUES( 101 ,'INSTR' ,'08-NOV-1993');
INSERT INTO EARNEDRATING VALUES( 101 ,'MEL'   ,'23-JUN-1994');
INSERT INTO EARNEDRATING VALUES( 101 ,'SEL'   ,'21-APR-1993');
INSERT INTO EARNEDRATING VALUES( 104 ,'INSTR' ,'15-JUL-1996');
INSERT INTO EARNEDRATING VALUES( 104 ,'MEL'   ,'29-JAN-1997');
INSERT INTO EARNEDRATING VALUES( 104 ,'SEL'   ,'12-MAR-1995');
INSERT INTO EARNEDRATING VALUES( 105 ,'CFI'   ,'18-NOV-1997');
INSERT INTO EARNEDRATING VALUES( 105 ,'INSTR' ,'17-APR-1995');
INSERT INTO EARNEDRATING VALUES( 105 ,'MEL'   ,'12-AUG-1995');
INSERT INTO EARNEDRATING VALUES( 105 ,'SEL'   ,'23-SEP-1994');
INSERT INTO EARNEDRATING VALUES( 106 ,'INSTR' ,'20-DEC-1995');
INSERT INTO EARNEDRATING VALUES( 106 ,'MEL'   ,'02-APR-1996');
INSERT INTO EARNEDRATING VALUES( 106 ,'SEL'   ,'10-MAR-1994');
INSERT INTO EARNEDRATING VALUES( 109 ,'CFI'   ,'05-NOV-1998');
INSERT INTO EARNEDRATING VALUES( 109 ,'CFII'  ,'21-JUN-2003');
INSERT INTO EARNEDRATING VALUES( 109 ,'INSTR' ,'23-JUL-1996');
INSERT INTO EARNEDRATING VALUES( 109 ,'MEL'   ,'15-MAR-1997');
INSERT INTO EARNEDRATING VALUES( 109 ,'SEL'   ,'05-FEB-1996');
INSERT INTO EARNEDRATING VALUES( 109 ,'SES'   ,'12-MAY-1996'); 


CREATE TABLE CHARTER(
CHAR_TRIP          INTEGER PRIMARY KEY, 
CHAR_DATE          DATETIME, 
AC_NUMBER          CHAR(5), 
CHAR_DESTINATION   CHAR(3), 
CHAR_DISTANCE      INTEGER, 
CHAR_HOURS_FLOWN   NUMERIC(4,1), 
CHAR_HOURS_WAIT    NUMERIC(4,1), 
CHAR_FUEL_GALLONS  NUMERIC(5,1), 
CHAR_OIL_QTS       INTEGER, 
CUS_CODE           INTEGER,
FOREIGN KEY(AC_NUMBER) REFERENCES AIRCRAFT,
FOREIGN KEY(CUS_CODE)  REFERENCES CUSTOMER);

INSERT INTO CHARTER VALUES(10001 ,'05-Feb-2014' ,'2289L' ,'ATL' ,936  ,5.1 ,2.2  ,354.1 ,1 ,10011);
INSERT INTO CHARTER VALUES(10002 ,'05-Feb-2014' ,'2778V' ,'BNA' ,320  ,1.6 ,0    ,72.6  ,0 ,10016);
INSERT INTO CHARTER VALUES(10003 ,'05-Feb-2014' ,'4278Y' ,'GNV' ,1574 ,7.8 ,0    ,339.8 ,2 ,10014);
INSERT INTO CHARTER VALUES(10004 ,'06-Feb-2014' ,'1484P' ,'STL' ,472  ,2.9 ,4.9  ,97.2  ,1 ,10019);
INSERT INTO CHARTER VALUES(10005 ,'06-Feb-2014' ,'2289L' ,'ATL' ,1023 ,5.7 ,3.5  ,397.7 ,2 ,10011);
INSERT INTO CHARTER VALUES(10006 ,'06-Feb-2014' ,'4278Y' ,'STL' ,472  ,2.6 ,5.2  ,117.1 ,0 ,10017);
INSERT INTO CHARTER VALUES(10007 ,'06-Feb-2014' ,'2778V' ,'GNV' ,1574 ,7.9 ,0    ,348.4 ,2 ,10012);
INSERT INTO CHARTER VALUES(10008 ,'07-Feb-2014' ,'1484P' ,'TYS' ,644  ,4.1 ,0    ,140.6 ,1 ,10014);
INSERT INTO CHARTER VALUES(10009 ,'07-Feb-2014' ,'2289L' ,'GNV' ,1574 ,6.6 ,23.4 ,459.9 ,0 ,10017);
INSERT INTO CHARTER VALUES(10010 ,'07-Feb-2014' ,'4278Y' ,'ATL' ,998  ,6.2 ,3.2  ,279.7 ,0 ,10016);
INSERT INTO CHARTER VALUES(10011 ,'07-Feb-2014' ,'1484P' ,'BNA' ,352  ,1.9 ,5.3  ,66.4  ,1 ,10012);
INSERT INTO CHARTER VALUES(10012 ,'08-Feb-2014' ,'2778V' ,'MOB' ,884  ,4.8 ,4.2  ,215.1 ,0 ,10010);
INSERT INTO CHARTER VALUES(10013 ,'08-Feb-2014' ,'4278Y' ,'TYS' ,644  ,3.9 ,4.5  ,174.3 ,1 ,10011);
INSERT INTO CHARTER VALUES(10014 ,'09-Feb-2014' ,'4278Y' ,'ATL' ,936  ,6.1 ,2.1  ,302.6 ,0 ,10017);
INSERT INTO CHARTER VALUES(10015 ,'09-Feb-2014' ,'2289L' ,'GNV' ,1645 ,6.7 ,0    ,459.5 ,2 ,10016);
INSERT INTO CHARTER VALUES(10016 ,'09-Feb-2014' ,'2778V' ,'MQY' ,312  ,1.5 ,0    ,67.2  ,0 ,10011);
INSERT INTO CHARTER VALUES(10017 ,'10-Feb-2014' ,'1484P' ,'STL' ,508  ,3.1 ,0    ,105.5 ,0 ,10014);
INSERT INTO CHARTER VALUES(10018 ,'10-Feb-2014' ,'4278Y' ,'TYS' ,644  ,3.8 ,4.5  ,167.4 ,0 ,10017);


CREATE TABLE CREW(
CHAR_TRIP  INTEGER, 
EMP_NUM    INTEGER, 
CREW_JOB   VARCHAR(20),
FOREIGN KEY(CHAR_TRIP) REFERENCES CHARTER,
FOREIGN KEY(EMP_NUM)   REFERENCES EMPLOYEE);

INSERT INTO CREW VALUES(10001 ,104 ,'Pilot');
INSERT INTO CREW VALUES(10002 ,101 ,'Pilot');
INSERT INTO CREW VALUES(10003 ,105 ,'Pilot');
INSERT INTO CREW VALUES(10003 ,109 ,'Copilot');
INSERT INTO CREW VALUES(10004 ,106 ,'Pilot');
INSERT INTO CREW VALUES(10005 ,101 ,'Pilot');
INSERT INTO CREW VALUES(10006 ,109 ,'Pilot');
INSERT INTO CREW VALUES(10007 ,104 ,'Pilot');
INSERT INTO CREW VALUES(10007 ,105 ,'Copilot');
INSERT INTO CREW VALUES(10008 ,106 ,'Pilot');
INSERT INTO CREW VALUES(10009 ,105 ,'Pilot');
INSERT INTO CREW VALUES(10010 ,108 ,'Pilot');
INSERT INTO CREW VALUES(10011 ,101 ,'Pilot');
INSERT INTO CREW VALUES(10011 ,104 ,'Copilot');
INSERT INTO CREW VALUES(10012 ,101 ,'Pilot');
INSERT INTO CREW VALUES(10013 ,105 ,'Pilot');
INSERT INTO CREW VALUES(10014 ,106 ,'Pilot');
INSERT INTO CREW VALUES(10015 ,101 ,'Copilot');
INSERT INTO CREW VALUES(10015 ,104 ,'Pilot');
INSERT INTO CREW VALUES(10016 ,105 ,'Copilot');
INSERT INTO CREW VALUES(10016 ,109 ,'Pilot');
INSERT INTO CREW VALUES(10017 ,101 ,'Pilot');
INSERT INTO CREW VALUES(10018 ,104 ,'Copilot');
INSERT INTO CREW VALUES(10018 ,105 ,'Pilot');


CREATE TABLE CUSTOMER_MAINT(
CUS_CODE      INTEGER PRIMARY KEY, 
CUS_LNAME     VARCHAR(15), 
CUS_FNAME     VARCHAR(15), 
CUS_INITIAL   CHAR(1), 
CUS_AREACODE  CHAR(3), 
CUS_PHONE     CHAR(8));

INSERT INTO CUSTOMER_MAINT VALUES(345 ,'Terrell'   ,'Justine' ,'H'  ,'615' ,'322-9870');
INSERT INTO CUSTOMER_MAINT VALUES(347 ,'Olowski'   ,'Paul'    ,'F'  ,'615' ,'894-2180');
INSERT INTO CUSTOMER_MAINT VALUES(351 ,'Hernandez' ,'Carlos'  ,'J'  ,'723' ,'123-7654');
INSERT INTO CUSTOMER_MAINT VALUES(352 ,'McDowell'  ,'George'  ,NULL ,'723' ,'123-7768');
INSERT INTO CUSTOMER_MAINT VALUES(365 ,'Tirpin'    ,'Khaleed' ,'G'  ,'723' ,'123-9876');
INSERT INTO CUSTOMER_MAINT VALUES(368 ,'Lewis'     ,'Marie'   ,'J'  ,'734' ,'332-1789');
INSERT INTO CUSTOMER_MAINT VALUES(369 ,'Dunne'     ,'Leona'   ,'K'  ,'713' ,'894-1238');
