IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'TRG_PRODUCT_REORDER' AND type = 'TR')
   DROP TRIGGER TRG_PRODUCT_REORDER
GO
CREATE TRIGGER TRG_PRODUCT_REORDER
ON PRODUCT
FOR INSERT, UPDATE 
AS
	DECLARE @P_QOH INTEGER,
	@P_MIN INTEGER,
	@P_REORDER INTEGER
	IF UPDATE (P_QOH)
	BEGIN
	SELECT @P_QOH = I.P_QOH, @P_MIN = I.P_MIN 
		FROM PRODUCT P INNER JOIN INSERTED I
		ON P.P_QOH = I.P_QOH
	IF @P_QOH <= @P_MIN
		UPDATE PRODUCT SET P_REORDER = 1
	ELSE
		UPDATE PRODUCT SET P_REORDER = 0
	END
	IF UPDATE (P_MIN)
	BEGIN
	SELECT @P_QOH = I.P_QOH, @P_MIN = I.P_MIN 
		FROM PRODUCT P INNER JOIN INSERTED I
		ON P.P_QOH = I.P_QOH
	IF @P_QOH <= @P_MIN
		UPDATE PRODUCT SET P_REORDER = 1
	ELSE
		UPDATE PRODUCT SET P_REORDER = 0
	END